import 'package:json_annotation/json_annotation.dart';

part '../model_body_request_map_json/body_request_login_model.g.dart';

@JsonSerializable()
class BodyRequestLogin {
  String? identity;
  String? password;
  List<String>? scopes;

  String? clientId;
  String? imei;
  String? tokenFCM;

  BodyRequestLogin(
      {this.identity,
      this.password,
      this.scopes,
      this.clientId,
      this.imei,
      this.tokenFCM});

  factory BodyRequestLogin.fromJson(Map<String, dynamic> json) =>
      _$BodyRequestLoginFromJson(json);

  Map<String, dynamic> toJson() => _$BodyRequestLoginToJson(this);
}
